[SciPy-User] Fwd: scipy.test() fails for 0.11.0 on OS X 10.8.2

Ralf Gommers ralf.gommers@gmail....
Wed Jan 9 14:56:38 CST 2013


On Tue, Jan 8, 2013 at 8:36 PM, Will <terribleangel@gmail.com> wrote:

> David Cournapeau <cournape <at> gmail.com> writes:
>
> >
> > You can't install the official scipy binaries on top of homebrew
> > python, only on top of the *binary* python installer on python.org
> >
> > David
> >
>
>
> I looked up the install location (/Library/Frameworks) of the binary python
> installer from python.org and put a symbolic link in there to the homebrew
> python directory
> (/usr/bin/Cellar/python/2.7.3/Frameworks/Python.framework).
> After that I was able to run the scipy binary
> (scipy-0.11.0-py2.7-python.org-macosx10.6.dmg).  I ran scipy.test('full')
> with this scipy and got basically the same results as when I installed
> scipy
> 0.11.0 from source with "python setup.py install" (in both cases, the
> final line
> was: FAILED (KNOWNFAIL=15, SKIP=43, errors=1, failures=73)).  Is that
> result
> surprising?


A little. IIRC these binaries (compiled on OS X 10.6) worked fine on 10.7,
so something changed in again for 10.8. We really should stop using
Accelerate for the official binaries.

Ralf


> I am using numpy 1.6.2 which I installed from source and which
> completes its tests without failure.
>
-------------- next part --------------
An HTML attachment was scrubbed...
URL: http://mail.scipy.org/pipermail/scipy-user/attachments/20130109/2820390b/attachment.html 


More information about the SciPy-User mailing list